## org.apache.batik.bridge.svg12
Class DefaultXBLManager.XblScopedChildNodes

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.XblChildNodes
          org.apache.batik.bridge.svg12.DefaultXBLManager.XblScopedChildNodes

All Implemented Interfaces:
  org.w3c.dom.NodeList

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.XblScopedChildNodes

extends DefaultXBLManager.XblChildNodes

To iterate over the scoped XBL child nodes.

Field Summary

Fields inherited from class org.apache.batik.bridge.svg12.DefaultXBLManager.XblChildNodes
`nodes, record, size`

Constructor Summary
`DefaultXBLManager.XblScopedChildNodes(DefaultXBLManager.XBLRecord rec)` Creates a new XblScopedChildNodes object.

Method Summary
`protected void` `collectXblScopedChildNodes(org.w3c.dom.Node n)` Find the XBL child nodes of this element.
`protected void` `update()` Update the NodeList.

Methods inherited from class org.apache.batik.bridge.svg12.DefaultXBLManager.XblChildNodes
`collectXblChildNodes, getFirstNode, getLastNode, getLength, invalidate, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXBLManager.XblScopedChildNodes

    public DefaultXBLManager.XblScopedChildNodes(DefaultXBLManager.XBLRecord rec)

  Creates a new XblScopedChildNodes object.

Method Detail

### update

    protected void update()

  Update the NodeList.

  Overrides:
    `update` in class `DefaultXBLManager.XblChildNodes`

### collectXblScopedChildNodes

    protected void collectXblScopedChildNodes(org.w3c.dom.Node n)

  Find the XBL child nodes of this element.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.